struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Bollmeyer <j...@christianbollmeyer.de>
Subject Re: Struts1.1 & Oracle 9iAS
Date Mon, 03 Nov 2003 20:21:07 GMT
Am Montag, 3. November 2003 17:26 schrieb Tim Clotworthy:

> Hi,

Hi,

> I am saddled with having to re-implement a struts-based architecture
> designed to run on a Tomcat web container, to an Oracle 9iAS Release2
> (Tomcat is out, end-of-discussion). Unfortunately, 9iAS support
> Struts1.0 framework, but does not seem to support the various
> Struts1.1 capabilities that our system already leverages, which
> include:
>
> 1) the RequestProcessor (specifically using ProcessRoles extension)
> 2) Tiles
> 3) LookupDispatchAction class
> 4) some other things..
>
> If anyone else may be in a similarly unfortunate position, and can
> share any insights on how they either:

Oracle iAS is J2EE-certified and has proven to be rock-solid.
It's definitely different from Tomcat, and OC4J (that is: an
enhanced version of the Orion server) configuration can
be confusing sometimes (whole lot of unfamiliar files, and
the only reference manuals your're given is a quick chart,
at least when I was confronted with OC4J for the first time).
But then, it's really nice. And there's no problem with Struts
1.1 at all. Note that the Java part of iAS 9i comes in several
different flavors, one built into JDeveloper, one to be run
standalone (OC4J, nearly identical to Orion) and then the
iAS itself which the J2EE container is but part of. Then,
considering Struts, to the web container it's just another
servlet, basically. So in the end, I wouldn't consider your
position as 'unfortunate'. Let's say 'challenging' (and
don't forget you can add Oracle iAS experience to
your CV afterwards :-))

> 1) figured out how to get 9iAS Release2 to work with Struts1.1,
>
> Or else:
>
> 2) can share any insights on how they got around similar problems, it
> would be greatly appreciated. Thanks.

Well, Struts and Oracle iAS run together in complete
harmony ;-) If you have JDev 9i (9.0.3), Oracle even
shipped this version with the beta version (2, IIRC)
of Struts 1.1 (the iAS 9i CDs still come with 9.0.2).
If you have a specific problem (and my limited time
allows), I may help you if I can, but first, you have
to come clear about what exactly your problem is,
including the iAS version and general setup you're
using.

-- Chris.


---------------------------------------------------------------------
To unsubscribe, e-mail: struts-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: struts-user-help@jakarta.apache.org


Mime
View raw message